> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tokens



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json get /v1/tokens
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/tokens:
    get:
      tags:
        - info
      summary: List Tokens
      operationId: list_tokens_v1_tokens_get
      parameters:
        - name: chain_id
          in: query
          required: true
          schema:
            type: integer
            description: Chain ID to get tokens for
            title: Chain Id
          description: Chain ID to get tokens for
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TokenInfo'
                title: Response List Tokens V1 Tokens Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TokenInfo:
      properties:
        address:
          type: string
          title: Address
        symbol:
          type: string
          title: Symbol
        decimals:
          type: integer
          title: Decimals
        chain_id:
          type: integer
          title: Chain Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        logo_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Uri
      type: object
      required:
        - address
        - symbol
        - decimals
        - chain_id
      title: TokenInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````